Witamy

Program Copy Handler jest małym, użytecznym narzędziem, zaprojektowanym do polepszenia kopiowania/przenoszenia plików i folderów pomiędzy różnymi nośnikami pamięci (dyskami twardymi, dyskietkami, siecią lokalną, CD-ROMami i wieloma innymi).
Ten plik pomocy zawiera informacje pomocne przy korzystaniu z Copy Handlera.
  • Zapoznaj się z licencją GNU General Public License
  • Zobacz, jakie są wymagania programu
  • Instalacja
  • Opis działania programu
  • Co nowego w obecnej wersji?
  • Znane błędy / problemy
  • Ludzie, którzy pomagali przy tworzeniu programu
  • Kontakt / wsparcie
  • Raportowanie błędów

!!Uwaga!!

Autor (Ixen Gerthannes) nie bierze na siebie żadnej odpowiedzialności za jakiekolwiek szkody spowodowane działaniem tego programu. Jeśli uważasz, że możesz utracić coś bardzo ważnego i nie ufasz temu programowi - po prostu go nie używaj. (Zapoznaj się z Licencją, aby dowiedzieć się więcej).
Autor oraz wiele innych osób korzystają z programu na codzień i są z niego bardzo zadowoleni. I to nie jest żaden tani chwyt reklamowy :)


F.A.Q. - Często Zadawane Pytania

P: Dlaczego polecenia (CH) Kopiuj do, (CH) Przenieś do, (CH) Kopiuj/przenieś specjalne, itp. w menu kontekstowym Eksplorera są nieaktywne?

O: Aby powyższe opcje zaczęły być aktywne, musisz zdefiniować jakieś skróty w oknie ustawień, sekcja "Skróty". Wskazują one na często używane miejsca, do których kopiujesz/przenosisz pliki. Gdy je ustawisz, będą wyświetlone poniżej wspomnianych poleceń.

Zobacz także: Okno ustawień.


Instalacja

[Exe] | Uruchom plik i postępuj zgodnie z instrukcjami wyświetlanymi na ekranie.
[Zip] | Rozpakuj zawartość archiwum na dysk i uruchom program 'ch.exe'. Jeżeli ponadto chcesz zarejestrować rozszerzenie powłoki systemowej - z menu głównego programu wybierz opcję 'Włącz integrację z powłoką systemową'.
Aktualizacja (instalowanie nowszej wersji programu na istniejącą)

[Exe] | Po prostu uruchom nowy program instalacyjny i postępuj zgodnie z instrukcjami.
[Zip] | Odinstaluj poprzednią wersję (opis - sekcja poniżej) i zainstaluj nową (opis - sekcja powyżej).
Deinstalacja

[Exe] | Uruchom program deinstalujący z katalogu, w którym zainstalowałeś program, Menu Start lub poprzez aplet Panelu Sterowania 'Dodaj/Usuń Programy' i postępuj zgodnie z instrukcjami wyświetlanymi na ekranie.
[Zip] | #1. Przy uruchomionym programie wybierz z jego menu opcję 'Wyłącz integrację z powłoką systemową'. #2. Wyloguj się i zaloguj ponownie albo zrestartuj komputer. #3. Jeśli po restarcie ikona programu będzie widoczna w tray'u - wybierz z menu programu opcję 'Wyjście'. #4. Usuń folder z wcześniej zainstalowanym Copy Handlerem.
Zobacz także: Opis działania programu, Menu główne programu.


Opis działania programu

Jak kopiować przy użyciu Copy Handlera?

Jeżeli włączyłeś integrację z powłoką systemową:
  • Przeciągnij pliki / foldery pomiędzy oknami Eksplorera, używając prawego przycisku myszy, upuść je i wybierz jedną z opcji rozwiniętego menu kontekstowego, zaczynających się od '(CH)'.
  • Skopiuj coś do schowka (zaznaczając pliki i używając kombinacji klawiszy [CTRL]+[C] z klawiatury albo korzystając z polecenia 'Kopiuj' z menu kontekstowego Eksplorera) i wklej skopiowane pliki do innego miejsca, wybierając z tego samego menu '(CH) Wklej' lub '(CH) Wklej specjalne...'. Jeżeli włączyłeś opcję 'Monitoruj schowek' (sekcja 'Program') - po skopiwaniu plików do schowka otworzy się okno, w którym możesz wybrać miejsce docelowe kopiowanych plików oraz rodzaj operacji.
  • Jeżeli włączyłeś opcję 'Przechwytuj przeciąganie lewym przyciskiem myszy' (sekcja 'Powłoka systemowa') i korzystasz z raczej nowego systemu (Windows Me, 2000, XP lub 2003), możesz zwyczajnie przeciągnąć i upuścić pliki, używając lewego przycisku myszy lub standardowego windowsowego polecenia 'Wklej' (albo kombinacji klawiszy [CTRL]+[V]).
Jeżeli masz wyłączoną integrację z powłoką systemową:
  • Jedynym sposobem na rozpoczęcie kopiowania / przenoszenia danych jest zaznaczenie opcji 'Podaj parametry kopiowania...' z głównego menu programu, wypełnienia otwartego okna potrzebnymi parametrami (dane źródłowe i miejsce docelowe), a następnie zaakceptowanie przyciskiem 'OK'.
Zobacz także: Wymagania programu, Historia programu / co nowego?, Instalacja, Menu kontekstowego Eksplorera, Okno wyboru folderu docelowego - automonitorowanie schowka, Główne menu programu, Okno ustawień.


Wymagania programu

Aby działać poprawnie program potrzebuje:
  • procesora klasy Pentium lub w 100% kompatybilnego (być może działa także na starszych jednostkach, takich jak 386 lub 486, ale nie zostało to przetestowane),
  • systemu operacyjnego Microsoft Windows 95/98/Me/NT4/2000/XP,
  • około 1 MB wolnej przestrzeni dyskowej,
  • monitora obsługującego rozdzielczość co najmniej 800x600 pikseli (program będzie działał na niższych rozdzielczościach, ale niektóre okna nie będą w pełni widoczne),
  • zainstalowanych bibliotek MFC w wersji co najmniej 4.2 (zazwyczaj są one dostarczone z systemem),
  • zainstalowanej czcionki Tahoma.
Zobacz także: Warunki licencyjne, Historia programu.


Menu Zaawansowane

Menu Zaawansowane umieszczone jest w oknie statusu.
  • Zamień ścieżki - pozwala użytkownikowi na zmianę niektórych ścieżek źródłowych (np. kopiujesz pliki z 'C:\WINDOWS', w czasie operacji uruchamiasz ponownie komputer, po czym litera dysku z 'C:\' zmienia się na 'D:\' (na przykład). Polecenie zezwala Ci na zamianę ścieżki źródłowej z 'C:\WINDOWS' na 'D:\WINDOWS'). Aby wprowadzić zmiany, zadanie musi być spauzowane. Polecenie otwiera okno zamiany ścieżek.
Zobacz także: Okno statusu, Okno zamiany ścieżek.


Okno ustawień wielkości bufora

To okno może zostać wyświetlone z okna ustawień (sekcja 'Bufor') lub z okna statusu.
  • Domyślny - domyślny rozmiar bufora. Używane, kiedy włączona jest opcja 'Używaj tylko domyślnego bufora' w opcjach konfiguracji (sekcja 'Bufor'), lub gdy żaden inny rozmiar bufora nie pasuje do obecnej operacji.
  • Dla kopiowania w obrębie jednego dysku - bufor ten używany jest, gdy pliki źródłowe i folder docelowy leżą na tym samym fizycznym dysku twardym. Rozmiar bufora jest zazwyczaj większy niż standardowy bufor do kopiowania pomiędzy dwoma dyskami, ponieważ jeżeli kopiowane są dane większymi porcjami, dysk nie jest tak bardzo obciążany, jak ma to miejsce przy małym buforze.
  • Dla kopiowania pomiędzy dwoma dyskami - bufor ten jest używany, gdy dane są kopiowane z jednego dysku fizycznego na drugi.
  • Dla kopiowania z użyciem CD-ROMu - bufor ten jest używany, gdy kopiowane są dane z napędu CD-ROM na inny nośnik pamięci.
  • Dla kopiowania z użyciem sieci - bufor ten jest używany, gdy kopiowane są dane do lub z sieci lokalnej.
  • Użyj tylko domyślnego bufora - jeżeli ta opcja jest zaznaczona, zadanie (zadania) będą zawsze używały domyślnej wielkości bufora, ignorując rodzaj źródła i miejsce docelowe nośnika danych.
Zobacz także: Okno ustawień, Okno statusu.


Okno ustawień

  • Program - ogólne opcje dotyczące programu:
    • Monitoruj schowek - czy schowek ma być monitorowany (tzn. czy po wprowadzeniu do schowka pewnych nazw plików automatycznie ma pokazać się okno wyboru folderu docelowego).
    • Czas, co jaki będzie przeszukiwany schowek [ms] - określa interwał czasu w milisekundach, co ile będzie sprawdzana zawartość schowka.
    • Uruchamiaj programu wraz ze startem systemu - czy program ma być uruchamiany razem z systemem operacyjnym (powoduje wpisanie odpowiednich wartości do rejestru dopiero po zamknięciu okna konfiguracji).
    • Zamknij system po zakończeniu kopiowania - jeśli mamy zamiar kopiować coś wielkiego, to można włączyć tę opcję i po zakończeniu operacji wyświetlone zostanie powiadomienie o zamykaniu systemu, po czym Windows się wyłączy (chyba, że wystąpi błąd, albo coś dziwnego).
    • Czas oczekiwania przed wyłączeniem systemu [ms] - określa ilość milisekund, którą program ma wyświetlać okno z możliwością anulowania zamykania systemu.
    • Rodzaj zamknięcia systemu - określa, czy system ma być zamknięty normalnie, czy siłowo (wtedy wszystkie programy są zamykane bez zapisywania zmian).
    • Czas, co jaki będzie wykonywane autozapisywanie [ms] - aby móc wznowić kopiowanie np. po restarcie systemu należy zapisywać, co już zostało skopiowane. Ten parametr określa ilość milisekund, co którą będą zapisywane takie informacje.
    • Priorytet aplikacji - określa klasę priorytetu Copy Handlera. Używaj tej opcji ostrożnie - wysoki priorytet może spowodować, że system będzie działał dość wolno, zaś niski priorytet może obniżyć prędkość kopiowania.
    • Folder z danymi tymczasowymi - folder, w którym program będzie zapisywane tymczasowe dane.
    • Folder z wtyczkami - folder, w którym program przechowuje wtyczki
    • Folder z plikami pomocy - folder, w którym znajdują się pliki pomocy programu.
    • Język - określa język programu i rozszerzenia powłoki.
    • Folder z plikami tłumaczeń - określa ścieżkę do folderu, w którym znajdują się pliki z tłumaczeniami programów.

  • Okno statusu - opcje, które odnoszą się do dużego okna statusu:
    • Czas, co jaki będzie odświeżany status [ms] - czas określający, jak często mają być odświeżane dane w oknie statusu.
    • Pokaż szczegóły w oknie statusu - oznacza, czy ma być pokazywana część okna statusu zawierająca szczegóły (po prawej stronie).
    • Automatycznie usuwaj zakończone zadania - jeśli kopiowanie się zakończy, zostają po nim pewne dane (dokładnie pliki tymczasowe zawierające dane o danym zadaniu), dzięki czemu można obejrzeć, ile czasu zajęło kopiowanie, jaki był średni transfer, lub mamy możliwość restartu zadania, czyli przekopiowania wszystkiego od nowa. Jeśli zaznaczymy tę opcję, po zakończeniu kopiowania zadanie zostanie usunięte z listy zadań.

  • Miniaturowy widok - opcje odnoszące się do okna mini-statusu:
    • Pokazuj nazwy plików - czy w małym oknie statusu mają być pokazywane nazwy aktualnie kopiowanych plików, czy tylko paski postępu.
    • Wyświetlaj pojedyncze zadania - czy w małym oknie statusu mają być pokazywane wszystkie zadania, czy tylko zbiorcze, określające wspólny postęp.
    • Czas, co jaki będzie odświeżany status [ms] - jak często ma być odświeżany mały status.
    • Pokaż przy starcie programu - czy małe okno statusu ma być pokazane podczas uruchomienia programu.
    • Ukryj, jeżeli nie ma co pokazać - jeśli nie ma aktualnie żadnych zadań, powoduje ukrycie małego okna statusu (jeśli później włączymy jakieś kopiowanie, okno automatycznie się pokaże).
    • Użyj płynnych pasków postępu - pozwala na ustalenie stylu pasków postępu w mini statusie - dla płynnych pasków postępu trochę lepiej widać powolny postęp.

  • Okno wyboru folderu - opcje odnoszące się do okna wyboru folderu docelowego:
    • Pokaż rozszerzony widok - określa, czy podczas wyświetlania okna wyboru folderu docelowego ma być pokazana lista skrótów.
    • Szerokość okna [piksele] - szerokość okna podawana w pikselach.
    • Wysokość okna [piksele] - wysokość okna podawana w pilkselach.
    • Styl listy skrótów - określa styl listy skrótów w oknie wyboru folderu docelowego.
    • Ignoruj dodatkowe okna powłoki - określa, czy w oknie wyboru folderu docelowego mają nie pojawiać się dodatkowe okna (np. 'Włóż dyskietkę', 'Dysk nie jest dostępny', itp.).

  • Powłoka systemowa - opcje odnoszące się do rozszerzenia powłoki systemowej:
    • Pokaż polecenie 'Kopiuj' w menu przeciągania - włącza komendę Kopiuj w menu przeciągania.
    • Pokaż polecenie 'Przenieś' w menu przeciągania - włącza komendę Przenieś w menu przeciągania.
    • Pokaż polecenie 'Kopiuj/przenieś specjalnie' w menu przeciągania - włącza komendę 'Kopiuj/przenieś specjalnie' w menu przeciągania.
    • Pokaż polecenie 'Wklej' w menu kontekstowym - włącza komendę Wklej w menu kontekstowym explorera.
    • Pokaż polecenie 'Wklej specjalnie' w menu kontekstowym - włącza komendę Wklej specjalnie w menu kontekstowym explorera.
    • Pokaż polecenie 'Kopiuj do' w menu kontekstowym - włącza komendę Kopiuj do w menu kontekstowym explorera.
    • Pokaż polecenie 'Przenieś do' w menu kontekstowym - włącza komendę Przenieś do w menu kontekstowym explorera.
    • Pokaż polecenie 'Kopiuj/przenieś specjalnie do' w menu kontekstowym - włącza komendę Kopiuj/przenieś specjalnie do w menu kontekstowym explorera.
    • Wyświetl ilość wolnego miejsca wraz z nazwami skrótów - określa, czy w podmenu Kopiuj do (i pochodnych) obok nazw skrótów podawana ma być także ilość wolnego miejsca).
    • Wyświetl ikony obok skrótów (eksperymentalne) - określa, czy w podmenu Kopiuj do (i pochodnych) mają byś rysowane ikony shellowe. Opcja eksperymentalna - rysowanie nie działa na wszystkich systemach poprawnie. Jeśli po wybraniu menu Kopiuj do (i pochodnych) zobaczysz puste menu o dziwnej wielkości - wyłącz tę opcję.
    • Przechwytuj przeciąganie lewym przyciskiem myszy (eksperymentalne) - określa, czy przeciąganie plików lewym przyciskiem myszy ma być przechwytywane przez ten program. Opcja eksperymentalna - po pierwsze nie działa na wszystkich systemach (zwłaszcza na tych starszych). Po drugie powoduje również przechwycenie komend 'Wklej' i 'Wklej skrót' (a co za tym idzie również kombinację klawiszy [CTRL]+[V]) z menu kontekstowego explorera, z czego tę drugą traktuje identycznie do pierwszej.
    • Domyślna akcja przy przeciąganiu lewym przyciskiem myszy - określa akcję, która zostanie wykonana podczas przeciągania plików/folderów w oknach explorera jeśli nie zostanie naciśnięty żaden klawisz modyfikujący tę operację ([CTRL], [SHIFT], [ALT]). Autodetekcja operacji jest na razie w fazie eksperymentu - "przewiduje" ona to co jest wyświetlone przy kursorze myszy - niekoniecznie taki jest stan faktyczny.

  • Wątek kopiujący - opcje dotyczące kopiowania:
    • Automatyczne dokopiuwuj pliki - określa, czy jeśli zostanie napotkany plik o mniejszym rozmiarze niż kopiowany, ale o tej samej nazwie domyślnie ma być dokopiowany, czy kopiowany od nowa.
    • Ustawiaj atrybuty plików docelowych - czy mają być ustawiane atrybuty plików docelowych.
    • Ustawiaj datę/czas plików docelowych - j.w. tylko data/czas.
    • Chroń pliki tylko do odczytu - jeśli przenosimy dane i następuje etap kasowania plików, to określa, czy pliki tylko do odczytu mają być kasowane (jeśli nie - otrzymamy komunikat o błędzie). Odnosi się to również do tego, czy zawartość plików docelowych, które są tylko do odczytu ma być zastępowana nową zawartością.
    • Ilość jednocześnie wykonywanych operacji - pozwala ograniczyć ilość przeprowadzanych jednocześnie kopiowań do np. 1. Podając 0 usuwamy ograniczenia.
    • Odczytuj wielkość zadania przed zablokowaniem - jeżeli poprzednia opcja jest włączona, to ta określi, czy wyszukiwanie plików (i obliczanie ich wielkości) ma się odbywać przed ('TAK'), czy po ('NIE') blokowaniu postępu zadania.
    • Pokaż wizualne potwierdzenia - czy podczas napotkania na np. niekompletnie skopiowany plik ma wyświetlać okno z pytaniem o zastąpienie, dokopiowanie, itp.Trzy stopnie określają: Wyłączone - okna nie są wyświetlane, Normalne - okna są wyświetlane tylko w niezbędnych przypadkach, zaś Wszystkie powoduje pytanie o wszelkie szczegóły (prawie).
    • Autowybór domyślnej akcji dla okien z potwierdzeniami - czy powyższe okna mają zatwierdzać domyślną opcję po określonym czasie.
    • Czas pokazywania okna potwierdzenia - określa czas pokazywania okien z potwierdzeniami.
    • Wznawiaj automatycznie - ta opcja określa, czy program powinien ponowić próbę wykonania danej operacji ponownie jeśli wystąpi błąd kopiowania .
    • Czas, co jaki operacja będzie automatycznie wznawiana [ms] - określa, co ile program będzie próbował wznowić powyższe zadania.
    • Domyślny priorytet wątku - określa domyślny priorytet wątku kopiującego. Wartość ta domyślnie przypisywana jest każdemu rozpoczynanemu zadaniu.
    • Wyłącz podbijanie priorytetu przez system - określa, czy system powinien nieco podnieść priorytet wątku, jeśli aplikacja działa na pierwszym planie.
    • Kasuj pliki dopiero po zakończeniu kopiowania (przenoszenia) - pozwala wybrać sposób przenoszenia plików - albo są one kasowane(wszystkie) dopiero po skopiowaniu wszystkich plików, albo pojedynczo po skopiowaniu danego pliku.
    • Twórz pliki .log (dziennika)- czy program ma tworzyć pliki dzienników dla określonych zadań (dzięki temu np. można zgłaszać do mnie błędy), lub obejrzeć z grubsza jak wyglądał proces kopiowania, czy wystąpiły jakieś błedy, jakie, itp.

  • Bufor - opcje związane z buforami używanymi w czasie pracy programu:
    • Używaj tylko domyślnego bufora - jeśli włączymy tą opcję - program automatycznie dobierze jedną z poniższych wielkości bufora (np. kopiując cokolwiek z CD-ROMu na dysk twardy zostanie użyty bufor odpowiedni dla CD-ROMu), jeśli opcja ta jest wyłączona - zawsze będzie używany bufor o domyślnej wielkości.
    • Domyślna wielkość bufora - określa domyślną wielkość bufora. Jeśli opcja automatycznego dobierania wielkości bufora jest wyłączona - ta wielkość bufora będzie używana do wszystkich kopiowań, jeśli zaś jest włączona - bufor ten służy do kopiowania plików, które nie mieszczą się w kategoriach poniższych buforów.
    • Wielkość bufora kopiowania w obrębie jednego dysku - określa wielkość bufora, jeśli kopiujemy dane z dysku twardego na dysk twardy, oraz jeśli miejsce źródłowe i docelowe leżą na tym samym dysku fizycznym.
    • Wielkość bufora kopiowania pomiędzy dwoma różnymi dyskami - określa wielkość bufora dla kopiowania w obrębie dwóch różnych dysków twardych.
    • Wielkość bufora kopiowania z CD-ROMu - wielkość bufora używana w momencie, gdy kopiujemy dane z CD-ROMu na dowolny inny nośnik.
    • Wielkość bufora kopiowania przez sieć lokalną - wielkość bufora używana dla kopiowania z użyciem sieci.
    • Wyłącz buforowanie dla dużych plików - pozwala na wyłączenie buforowania dla plików o określonej wielkości (i większych; kopiowanie dużych plików bez buforowania w wielu przypadkach jest szybsze od kopiowania z buforowaniem; na moim komputerze przy włączonej tej opcji kopiowanie danych (właściwie 1.36GB filmów) w obrębie jednego dysku fizycznego jest szybsze o ok. 1.2MB/s).
    • Minimalna w ielkość plików, dla których buforowanie ma zostać wyłączone- określa minimalną wielkość pliku dla którego buforowanie ma być wyłączone (wg moich eksperymentów wartość w pobliżu 2MB jest wystarczająca, ale na innych systemach wartość ta może być inna).

  • Dźwięki - określa opcje związane z odtwarzaniem dźwięków w programie:
    • Odtwarzaj dźwięki w programie - czy na pewne zdarzenia program ma odtworzyć dźwięk.
    • Dźwięk przy wystąpienie błędu - ścieżka dostępu do pliku .wav z dźwiękiem, który powinien być odtworzony, jeśli wystąpi błąd.
    • Dźwięk po zakończenie kopiowania - ścieżka dostępu do pliku .wav z dźwiękiem, który powinien być odtworzony po zakończeniu zadania.

  • Skróty - określa opcje dotyczące skrótów używanych w menu kontekstowych Eksplorera i w oknie wyboru folderu docelowego:
    • Ilość zdefiniowanych skrótów - określa ilość aktualnie zdefiniowanych skrótów. Aby edytować - kliknij dwukrotnie, albo naciśnij przycisk po prawej stronie.

  • Ostatnio używane ścieżki dostępu - określa opcje dotyczące ścieżek dostępu wybranych ostatnio jako miejsce docelowe dla kopiowanych danych:
    • Ilość zapamiętanych ścieżek - określa ilość zapamiętanych ścieżek, do których było coś ostatnio kopiowane. Aby edytować - kliknij dwukrotnie lub naciśnij przycisk po prawej stronie.

Zobacz także : Główne menu programu, Okno wyboru folderu docelowego - automonitorowanie schowka, Powiadomienie o zamykaniu systemu, Okno statusu, Okno mini-statusu, Oknie wyboru folderu docelowego, Menu kontekstowe Eksplorera, Komunikat o błędzie - nie można otworzyć pliku docelowego do zapisu, Komunikat o błędzie - nie można otworzyć pliku źródłowego, Komunikat o błędzie - brak wystarczającej ilości wolnego miejsca, Komunikat o błędzie - napotkano mniejszy plik docelowy, Komunikat o błędzie - plik docelowy istnieje, Okno ustawień wielkości bufora, Okno edycji skrótów, Okno edycji ostatnio używanych ścieżek.


Okno kopiowania z parametrami

  • Lista plików/folderów źródłowych - zawiera listę plików i folderów, które są kopiowane. Można nimi zarządzać, korzystając z przycisków po prawej stronie.
  • Dodaj plik(i)... - zezwala użytkownikowi na dodanie jednego lub większej ilości plików do listy danych źródłowych.
  • Dodaj folder... - zezwala użytkownikowi na dodanie katalogu do listy danych źródłowych.
  • Usuń - Usuwa zaznaczone obiekty z listy danych źródłowych.
  • Importuj... - zezwala użytkownikowi na import plików i folderów źródłowych z pliku. Każda linia pliku powinna zawierać jedną, pełną ścieżkę do pliku lub katalogu.
  • Folder docelowy - zezwala użytkownikowi na podanie ścieżki docelowej, do której pliki źródłowe będą skopiowane lub przeniesione. Można wpisać ścieżkę ręcznie za pomocą klawiatury lub wskazać ją, klikając na przycisk '...' po prawej stronie.
  • Rodzaj operacji - określa operację, która będzie wykonana na plikach źródłowych.
  • Priorytet - określa priorytet wątku, z jakim będzie uruchomione zadanie.
  • Ilość kopii - określa ilość kopii plików źródłowych, które powinny zostać przetworzone. Dostępne wartości są z przedziału 0~240. Użyteczne, gdy kopiowane są małe ilości danych na niepewny rodzaj pamięci, np. na dyskietkę.
  • Wielkości buforów - określają rozmiary bufora, który będzie użyty przy kopiowaniu lub przenoszeniu danych źródłowych do miejsca docelowego.
  • Filtrowanie - kiedy jest zaznaczone - zezwala użytkownikowi na określenie rodzajów filtrów, które będą użyte przy kopiowaniu. Przyciski po prawej stronie zezwalają użytkownikowi na dodanie lub usunięcie filtru. Przycisk '+' (Dodaj) otwiera okno ustawień filtrowania.
  • Operacje zaawansowane
    • Nie twórz katalogów docelowych - kopiuj pliki - kiedy jest zaznaczone powoduje, że zadanie pomija strukturę katalogów i kopiuje wszystkie znalezione pliki z każdego przeszukanego folderu do folderu docelowego.
    • Twórz strukturę katalogów w folderze docelowym (względem katalogu głównego dysku) - podczas kopiowania plików program utworzy całą ścieżkę znalezionego źródła na nośniku danych w katalogu docelowym.
    • Nie kopiuj/przenoś zawartości plików - tylko je twórz (puste) - działa jak normalne kopiowanie/przenoszenie, ale nie kopiuje zawartości plików - docelowe elementy będą puste. Uważaj, kiedy korzystasz z tej opcji, ponieważ możesz stracić wszystkie kopiowane dane.
Zobacz także: Menu kontekstowe Eksploratora, Okno główne programu, Okno ustawień filtrowania.


Menu kontekstowe Eksplorera

Kiedy używane jest rozszerzenie powłoki systemowej, niektóre obiekty (polecenia) są dodawane do menu kontekstowego Eksploratora. Występują dwa typy menu, które są modyfikowane przez Copy Handlera:
  • Menu kontekstowe 'drag&drop' ('przeciągnij i upuść') - jest ono wyświetlane, gdy pliki i/lub foldery są przeciągane z jednego miejsca do drugiego z użyciem prawego przycisku myszy.
    • (CH) Kopiuj tutaj - kopiuje przeciągane pliki do miejsca, w którym zostały upuszczone.
    • (CH) Przenieś tutaj - przenosi przeciągane pliki do miejsca, w którym zostały upuszczone.
    • (CH) Kopiu/przenieś specjalne... - otwiera okno kopiowania z parametrami, gdzie można dostosować niektóre ustawienia odnośnie operacji 'przeciągnij i upuść'.

  • Standardowe menu kontekstowe - wyświetlane po kliknięciu na jakiś plik lub folder (lub jego tło).
    • (CH) Wklej - włączane tylko wtedy, gdy menu zostało otwarte prawym przyciskiem myszy na katalogu lub jego tle i w schowku znajdują się pliki lub foldery. Działa w taki sam sposób jak normalne windowsowe polecenie wklejania, ale operacja jest wykonywana z użyciem Copy Handlera.
    • (CH) Wklej specjalne... - włączane tylko wtedy, gdy menu zostało otwarte prawym przyciskiem myszy na katalogu lub jego tle i w schowku znajdują się pliki lub foldery. Działa w troszkę podobny sposób do poprzedniej opcji, wyświetlając dodatkowo okno kopiowania z parametrami, gdzie można dostosować niektóre ustawienia, zanim operacja zostanie rozpoczęta.
    • (CH) Kopiuj do - menu rozszerzalne. Włączane tylko wtedy, gdy menu zostało otwarte prawym przyciskiem myszy na pliku lub katalogu (ale nie na jego tle) i kiedy istnieje co najmniej jeden zdefiniowany skrót w opcjach (sekcja 'Skróty'). Polecenie kopiuje zaznaczone pliki do miejsca, na które wskazuje wybrany skrót.
    • (CH) Przenieś do - polecenie prawie identyczne z poprzednim, z tym, że w przeciwieństwie do niego przenosi pliki lub foldery.
    • (CH) Kopiuj/przenieś specjalne do... - działa podobnie do polecenia 'Kopiuj do', wyświetlając dodatkowo okno kopiowania z parametrami, gdzie można dostosować niektóre ustawienia, zanim operacja zostanie rozpoczęta.
Każde polecenie z menu kontekstowego Eksplorera może zostać włączone lub wyłączone w oknie ustawień (sekcja 'Powłoka systemowa').
Zobacz także: Okno ustawień, Okno kopiowania z parametrami.


Komunikat o błędzie - nie można otworzyć pliku docelowego do zapisu

Zadanie wyświetla to okno, gdy wątek przetwarzający nie może otworzyć pliku docelowego do zapisu. Znajdują się tu informacje o tym, który plik nie może zostać otwarty oraz kod błędu.
  • Ponów - ponawia próbę otwarcia pliku do zapisu.
  • Ignoruj - ignoruje błąd i pomija plik.
  • Ignoruj wszystkie - analogicznie jak poprzedni przycisk, ale w tym wypadku zadanie będzie pomijało wszystkie podobne błędy tego typu (jeżeli wystąpią).
  • Czekaj - zmienia stan zadania w przypadku wystąpieniu błędu. Jeżeli w oknie ustawień 'Opcja automatycznego wznawiania' (sekcja 'Wątek kopiujący) jest włączona - zadanie będzie wznowione po ustawionym wcześniej czasie.
  • Anuluj - anuluje zadanie.
Zobacz także: Okno ustawień, Komunikat o błędzie - nie można otworzyć pliku źródłowego, Komunikat o błędzie - brak wystarczającej ilości wolnego miejsca, Komunikat o błędzie - napotkano mniejszy plik docelowy, Komunikat o błędzie - plik docelowy istnieje.


Komunikat o błędzie - nie można otworzyć pliku źródłowego

Zadanie wyświetla to okno, gdy wątek przetwarzający nie może otworzyć pliku źródłowego do skopiowania. W oknie wyświetlane są informacje o oczekiwanym pliku oraz kod błędu.
  • Ponów - ponawia próbę otwarcia pliku źródłowego.
  • Ignoruj - ignoruje błąd i pomija plik.
  • Ignoruj wszystkie - analogicznie jak poprzedni przycisk, ale w tym wypadku zadanie będzie pomijało wszystkie podobne błędy tego typu (jeżeli wystąpią).
  • Czekaj - zmienia stan zadania w przypadku wystąpieniu błędu. Jeżeli w oknie ustawień 'Opcja automatycznego wznawiania' (sekcja 'Wątek kopiujący) jest włączona - zadanie będzie wznowione po określonym wcześniej czasie.
  • Anuluj - anuluje zadanie.
Zobacz także: Okno ustawień, Komunikat o błędzie - nie można otworzyć pliku docelowego do zapisu, Komunikat o błędzie - brak wystarczającej ilości wolnego miejsca, Komunikat o błędzie - napotkano mniejszy plik docelowy, Komunikat o błędzie - plik docelowy istnieje.


Komunikat o błędzie - plik docelowy istnieje

Zadanie wyświetla to okno, gdy wątek przetwarzający znajdzie w miejscu docelowym plik o rozmiarze większym lub równym plikowi kopiowanemu. Jeżeli pliki są identyczne - powinno się to zignorować, ale jeżeli różnią się - powinno się go skopiować od nowa.
  • Kopiuj od nowa - kopiuje cały plik od początku.
  • Kopiuj od nowa wszystkie - jak powyżej, z tym, że w przypadku znalezienia następnych plików o wielkości większej lub równej plikowi źródłowemu, zostanie automatycznie wykonana operacja kopiowania od początku.
  • Ignoruj - ignoruje informację i pomija plik.
  • Ignoruj wszystkie - analogicznie jak poprzedni przycisk, ale w tym wypadku zadanie będzie pomijało wszystkie podobne informacje tego typu (jeżeli wystąpią).
  • Anuluj - anuluje zadanie.
Zobacz także Komunikat o błędzie - nie można otworzyć pliku docelowego do zapisu, Komunikat o błędzie - nie można otworzyć pliku źródłowego, Komunikat o błędzie - brak wystarczającej ilości wolnego miejsca, Komunikat o błędzie - napotkano mniejszy plik docelowy


Komunikat o błędzie - brak wystarczającej ilości wolnego miejsca

Zadanie wyświetla to okno, gdy brak jest wolnej przestrzeni dyskowej w miejscu docelowym do skopiowania lub przeniesienia plików źródłowych. Okno automatycznie odświeża wyliczaną ilość wolnego miejsca na dysku.
  • Ponów - ponawia próbę otwarcia pliku źródłowego.
  • Kontynuuj - ignoruje brakującą wolną przestrzeń i kontynuuje kopiowanie.
  • Anuluj - anuluje zadanie.
Zobacz także: Komunikat o błędzie - nie można otworzyć pliku docelowego do zapisu, Komunikat o błędzie - nie można otworzyć pliku źródłowego, Komunikat o błędzie - napotkano mniejszy plik docelowy, Komunikat o błędzie - plik docelowy istnieje


Komunikat o błędzie - napotkano mniejszy plik docelowy

Zadanie wyświetla to okno, gdy wątek przetwarzający znajdzie w miejscu docelowym plik o mniejszej wielkości niż kopiowany.
Możliwe przyczyny:
  • w miejscu docelowym znajduje się starsza wersja pliku - w tym przypadku powinno sie skopiować plik od nowa,
  • w miejscu docelowym znajduje się część kopiowanego pliku, gdyż nie został on poprawnie skopiowany do końca - w tym przypadku powinno się dokopiować resztę.

Dopuszczalne operacje:
  • Dokopiuj - kopiuje resztę pliku.
  • Dokopiuj wszystkie - jak powyżej, z tym, że w przypadku znalezienia następnych plików o wielkości mniejszej niż pliku źródłowego, zostanie automatycznie wykonana operacja dokopiowania.
  • Kopiuj od nowa - kopiuje cały plik od początku.
  • Kopiuj od nowa wszystkie - jak powyżej, z tym, że w przypadku znalezienia następnych plików o wielkości mniejszej niż pliku źródłowego, zostanie automatycznie wykonana operacja kopiowania od początku.
  • Ignoruj - ignoruje informację i pomija plik.
  • Ignoruj wszystkie - analogicznie jak poprzedni przycisk, ale w tym wypadku zadanie będzie pomijało wszystkie podobne informacje tego typu (jeżeli wystąpią).
  • Anuluj - anuluje zadanie.
Zobacz także: Komunikat o błędzie - nie można otworzyć pliku docelowego do zapisu, Komunikat o błędzie - nie można otworzyć pliku źródłowego, Komunikat o błędzie - brak wystarczającej ilości wolnego miejsca, Komunikat o błędzie - plik docelowy istnieje.


Okno ustawień filtrowania

Aby dodać lub zmienić opcje filtrowania, należy otworzyć okno kopiowania z parametrami.
  • Maska - można podać maskę nazw plików do skopiowania (np. '*.JPG' - kopiuje tylko pliki o rozszerzeniu JPG). Jeżeli wystąpi potrzeba zastosowania więcej niż jednej maski - należy oddzielić je za pomocą znaku '|' (np. '*.JPG|*.GIF|*.BMP').
  • Wyłącz - określa maskę nazw plików, które nie zostaną skopiowane. Maska jest podawana w sposób określony powyżej.
  • Wielkość - zezwala na określenie do dwóch rozmiarów plików, według których ma odbyć się filtrowane. Aby plik został skopiowany, musi odpowiadać ustawionym wartościom.
  • Data - zezwala na określenie do dwóch dat i czasów, według których ma odbyć się filtrowane. Dostępne są trzy rodzaje selekcji: według czasu utworzenia pliku, ostatniej modyfikacji lub ostatniego otwarcia.
  • Wg atrybutów - kopiuje tylko te pliki, których atrybuty spełniają postawione wymagania. Szarawe pola zaznaczenia oznacza, że atrybut nie jest brany pod uwagę.
Aby plik został skopiowany, jego atrybuty muszą zgadzać się ze wszystkimi ustawionymi filtrami.
Zobacz także: Okno kopiowania z parametrami.


Okno wyboru folderu docelowego - automonitorowanie schowka

To okno jest wyświetlane, gdy w oknie ustawień opcja 'Monitorowanie schowek' (sekcja 'Program') jest aktywna i w schowku znajdują się jakieś pliki.

Lewa część okna zawiera listę zdefiniowanych skrótów, które mogą zostać użyte do szybszego wskazania ścieżki docelowej. Cztery przyciski powyżej listy odpowiadają są za widok. Dwa przyciski poniżej zezwalają na dodawanie i usuwanie skrótów.
Prawa część okna zawiera drzewo ze strukturą katalogów. Można zaznaczyć tam ścieżkę ścieżkę lub podać ją ręcznie, wpisując ją do okienka poniżej. Przycisk powyżej tworzy nowy folder w obecnie zaznaczonym katalogu.

Zobacz także: Okno ustawień, Główne menu programu.


Menu główne programu

Pokaż status... | Wyświetla okno statusu, które wyświetla szczegółowe informacje o zadaniach (ich statusie, postępie, szacowanym czasie, itp).
Pokaż mini-status... | Wyświetla okno mini-statusu, które wyświetla uproszczony widok uruchomionego zadania.
Podaj parametry kopiowania... | Wyświetla okno kopiowania z parametrami, które zezwala użytkownikowi na podanie plików i katalogów źródłowych, miejsca docelowego oraz określenie dodatkowych opcji.
Włącz integrację z powłoką systemową | Jeżeli plik biblioteki DLL został zainstalowany (znajduje się w folderze, z którego uruchamiony został program), opcja ta zezwala na wprowadzenie odpowiednich wartości do rejestru systemowego, dzięki czemu możliwe jest korzystanie z dodatkowych poleceń w menu kontekstowym Eksplorera.
Wyłącz integrację z powłoką systemową | Polecenie zezwala na wyłączenie integracji z powłoką systemową (czyli usunięcie poleceń z menu kontekstowego Eksplorera).
Monitoruj schowek | Polecenie równoważne opcji 'Monitoruj schowek' z okna ustawień (sekcja 'Program'). Wybranie polecenia jest równoważne ze zmianą ustawień w wyżej wymienionym oknie.
Wyłącz komputer po zakończeniu | Polecenie równoważne opcji 'Zamknij system po zakończeniu kopiowania' z okna ustawień (sekcja 'Program'). Wybranie polecenia jest równoważne ze zmianą ustawień w ww. oknie.
Opcje... | Pokazuje okno ustawień, z poziomu którego można w pełni przystosować program do własnych potrzeb.
Pomoc... | Pokazuje plik pomocy.
O programie... | Pokazuje okno z najważniejszymi informacjami dotyczącymi programu.
Wyjście | Kończy działanie programu.
Zobacz także: Okno statusu, Okno mini-statusu, Okno kopiowania z parametrami, Menu kontekstowym Eksplorera, Okna ustawień.


Okno mini-statusu

Okno w uproszczony sposób pokazuje najważniejsze informacje o aktualnych zadaniach. Można je konfigurować z poziomu okna ustawień (sekcja 'Miniaturowy widok').
Zobacz także: Okno statusu, Okno ustawień.


Okno edycji ostatnio używanych ścieżek

Okno dostępne z poziomu okna ustawień. Umożliwia edycję ostatnio używanych ścieżek.
  • Ostatnio używane ścieżki - modyfikowalna lista ostatnio używanych ścieżek.
  • Ścieżka dostępu - dzięki trzem przyciskom ('Dodaj', 'Aktualizuj' i 'Usuń') można modyfikować wyświetlone ścieżki, przystosowując je do własnych potrzeb.
Zobacz także: Okno ustawień, Okno edycji skrótów.


Okno zamiany ścieżek

Dzięki temu oknu użytkownik może zmienić ścieżkę źródłową zaznaczonego zadania w oknie statusu na nową wartość.
  • Ścieżka źródłowe - określa, jaką ścieżkę posiadało zadanie na początku. Można zaznaczyć jedną z nich lub podać je ręcznie w polu poniżej.
  • Zamień na - tutaj można podać nową ścieżkę. Są na to dwa sposoby: albo wpisywanie tekstu bezpośrednio z klawiatury, albo wskazanie jej poprzez kliknięcie przycisku '...', a następnie folderu w otwartym oknie.
Zobacz także: Zaawansowane menu kontekstowe, Okno statusu.


Okno edycji skrótów

Okno wyświetlane jest z poziomu okna ustawień. Służy ono do edycji skrótów do ścieżek używanych w menu kontekstowym Eksplorera i oknie wyboru folderu docelowego.
  • Skróty - lista obecnie zdefiniowanych skrótów.
  • W górę / W dół - te dwa przyciski pozwalają zmieniać kolejność wyświetlania obiektów z listy.
  • Dodaj - dodaje skrót zdefiniowany przez edycję powyższego pola kombi do listy skrótów.
  • Aktualizuj - zmienia zaznaczony skrót w liście na ten zdefiniowany przez edycję powyższego pola kombi.
  • Usuń - usuwa zaznaczony skrót z listy.
Zobacz także: Okno edycji ostatnio używanych ścieżek, Okno ustawień.


Powiadomienie o zamykaniu systemu

Okno to jest wyświetlane, gdy opcja 'Zamknij system po zakończeniu kopiowania' w menu konfiguracji (sekcja 'Program') jest aktywna i wszystkie zadania zostały zakończone. Aby wyłączyć w ten sposób system, można również wybrać odpowiednią opcję z głównego menu programu.
Zobacz także: Okno ustawień, Główne menu programu.


Okno statusu

  • Lewa strona okna:
    Lista operacji     - wyświetla listę zadań wraz z aktualnym stanem (zakończone, anulowane, itp.). Przy każdym zadaniu podawany jest jego stan, plik, który jest obecnie przetwarzany, folder docelowy, do którego pliki są kopiowane oraz procentowy postęp:
    • Przycisk '<<' - zmienia widok okna z zaawansowanego na uproszczony i odwrotnie.
    • Przycisk 'Pauza' - zatrzymuje zaznaczone zadanie. Jeżeli inne zadanie oczekuje na jego zakończenie, zostanie wtedy rozpoczęte.
    • Przycisk 'Wznów' - wznawia pracę zaznaczonego-wstrzymanego zadania. Podobnie jeżeli zadanie jest w stanie oczekiwania (oczekuje na zakończenie innego), kliknięcie na ten przycisk spowoduje jego uruchomienie. Jeżeli akcja zostanie wykonana przy tym rodzaju wznowienia, zadanie zignoruje ustawienie w opcjach pozycji 'Ilość jednocześnie wykonywanych operacji' (sekcja 'Wątek kopiujący') i uruchomi zadanie równolegle.
    • Przycisk 'Restart' - powoduje ponowne uruchomienie zaznaczonego zadania. Zadanie zostanie uruchomione od początku (z ponownym przeszukiwaniem plików do skopiowania).
    • Przycisk 'Anuluj' - anuluje aktualnie zaznaczone zadanie.
    • Przycisk 'Usuń' - kiedy zadanie jest ukończone lub anulowane, to polecenie spowoduje jego usunięcie z listy. Jeżeli zadanie jest uruchomione, program zapyta użytkownika, czy ma kontynuować przerwanie wykonywania operacji.
    • Przycisk 'Pauza/wszystkie' - działa w podobny sposób jak przycisk 'Pauza', z tym, że odnosi się do wszystkich zadań.
    • Przycisk 'Wznów/wszystkie' - działa w podobny sposób jak przycisk 'Wznów', ale nie powoduje ignorowania opcji 'Ilość jednocześnie wykonywanych operacji' (sekcja 'Wątek kopiujący').
    • Przycisk 'Anuluj/wszystkie' - anuluje wszystkie zadania.
    • Przycisk 'Usuń/wszystkie' - usuwa wszystkie anulowane i ukończone zadania z listy.
    • Przycisk 'Restart/wszystkie' - uruchamia ponownie wszystkie zadania z listy.
    • Przycisk 'Przyklej' - powoduje 'przyklejenie' okna statusu do prawego, dolnego rogu ekranu.
    • Przycisk 'Zaawansowane >' - Pokazuje menu zaawansowane odnoszące się do jednego lub kilku zadań .

  • Prawa strona okna:
    Statystyki aktualnego zaznaczenia     - statystyki dla zaznaczonego zadania z listy operacji:
    • Skojarzony plik - nazwa pliku, która zawiera informacje o aktualnym zadaniu. Kiedy uruchomisz ponownie system, Copy Handler ładuje informacje o nieukończonym/przerwanym zadaniu właśnie z tego pliku. Pliki te umieszczane są w katalogu określonym w ustawieniach, opcja 'Folder z danymi tymczasowymi' (sekcja 'Program').
    • Operacja - określa typ i stan zaznaczonego zadania.
    • Obiekt źródłowy - nazwa obecnie przetwarzanego zadania (kopiowanego lub przenoszonego do miejsca docelowego).
    • Obiekt docelowy - katalog docelowy, do którego zaznaczone zadanie kopiuje pliki i foldery.
    • Wielkość bufora - określa rozmiary bufora używane przy obecnym zadaniu. Możesz zmienić te wartości, klikając na przycisk '...' po prawej stronie. Wyświetlone zostanie wtedy okno ustawień wielkości bufora.
    • Priorytet wątku - priorytet zadania, z którym zostało uruchomione. Możesz go zmienić, klikając na przycisk '>' po prawej stronie i wybierając z menu potrzebną wartość.
    • Dodatkowe uwagi - wyświetla kod i opis błędu (jeżeli taki wystąpi).
    • Przycisk 'Pokaż rejestr' - wyświetla plik dziennika powiązany z obecnym zadaniem.
    • Przetworzono - podaje informacje o ilości plików i folderów, które zostały przetworzone / liczbie wszystkich plików i folderów; wielkości danych, która została przetworzona / rozmiarze wszystkiego; ilości kopii utworzonych / ilości wszystkich kopii. Liczba kopii jest większa niż jeden, jeżeli określisz więcej niż jeden przebieg zadania.
    • Czas - wyświetla ilość upłytniętego czasu (dla uruchomionego zadania) oraz szacowany cały czas zadania aż do jego zakończenia.
    • Transfer - wyświetla poziom transferu dla zadania (obecny i średni). Obecna prędkość kopiowania jest mierzona przez dzielenie rozmiaru pliku kopiowanego w ostatnim interwale czasu (tę wartość można określić w oknie ustawień, opcja 'Czas, co jaki będzie odświeżany status' (sekcja 'Okno statusu')) przez rzeczywisty, dokładny czas przebiegu kopiowanych danych. Wartości mogą być troszkę niedokładne, gdy używamy dużych rozmiarów bufora lub mamy ustawiony niski czas odświeżania interwałów. Wtedy transfer będzie się drastycznie zmieniał, 'skakał', od 0 B/s do - powiedzmy - 24MB/s (przy ustawionym 24MB buforze). Przeciętna prędkość jest mierzona przez dzielenie rozmiaru wszystkich kopiowanych danych przez całkowity czas.
    • Postęp - pasek postępu bazujący na rozmiarze przetworzonych plików.
  • Statystyki wszystkiego:
    • Przetworzono - bardzo podobne do powyższego pola 'Przetworzono', z tym, że to wyświetla informacje o wszystkich zadaniach z listy (nie ma znaczenia, czy zadanie zostało ukończone, anulowane, czy jest uruchomione).
    • Transfer - wyświetla obecny transfer dla wszystkich uruchomionych zadań z listy.
    • Postęp - pasek postępu bazujący na rozmiarze wszystkich przetworzonych plików z listy (ignoruje stan zadania - zlicza je wszystkie).
Zobacz także: Okno ustawień, Menu zaawansowane, Okno zamiany ścieżek, Okno ustawień wielkości bufora.


Kontakt / wsparcie

Jeżeli masz jakieś propozycje, spodobało Ci się coś (lub też nie) w programie - daj mi znać:

support@copyhandler.com

copyhandler@o2.pl

Jeżeli znalazłeś błędy (których zdecydowanie nie powinno być) - przeczytaj, jak je zgłosić.

Jeżeli spodobał Ci się program i chciał(a)byś wesprzeć jego dalszy rozwój, możesz ofiarować coś na:
BRE SA-WBE/Łódź
78 1140 2004 0000 3102 3116 3975

Fora dyskusyjne:

Ogólne - możesz wysyłać tam pytania, raporty o błędach i inne... ale nie spam.

Strona | [http://groups.yahoo.com/group/copyhandler]
Wyślij wiadomość | [copyhandler@yahoogroups.com]
Subskrybuj | [copyhandler-subscribe@yahoogroups.com]
Wypisz się | [copyhandler-unsubscribe@yahoogroups.com]

Programistyczne dla Copy Handlera - dla komentarzy odnośnie kodu, spraw związanych z pisanie CH, tłumaczenia programu i innych...

Strona | [http://groups.yahoo.com/group/chdev]
Wyślij wiadomość | [chdev@yahoogroups.com]
Subskrybuj | [chdev-subscribe@yahoogroups.com]
Wypisz się | [chdev-unsubscribe@yahoogroups.com]

Jeśli szukasz nowszej wersji Copy Handlera - zobacz na stronie:
http://www.copyhandler.com
http://www.copyhandler.prv.pl

Zobacz także: Raportowanie błędów, Licencja, Podziękowania.


Raportowanie błędów

Jeżeli zauważyłeś jakiś problem w działaniu programu, który może być wynikiem błędu programistycznego, możesz napisać maila na jeden z podanych adresów: support@copyhandler.com lub copyhandler@o2.pl.

Wszystkie raporty o błędach są mile widziane, ale zanim napiszesz, pamiętaj:
  • upewnij się, że masz najnowszą wersję programu. Możesz ją zaciągnąć ze strony programu (http://www.copyhandler.prv.pl).
  • odnośnie wersji spakowanych w archiwum ZIP: upewnij się, że poprawnie zamieniłeś bibliotekę odpowiedzialną za integrację z powłoką systemową. Znaczna ilość problemów powstaje właśnie z powodu niepoprawnego zamienienia starej wersji pliku z nową. Jeżeli używałeś wcześniejszą wersję aplikacji - przy uruchomionym programie wybierz z jego menu opcję 'Wyłącz integrację z powłoką systemową', następnie wyloguj się i zaloguj ponownie albo zrestartuj komputer. Wtedy usuń starą bibliotekę DLL i skopiuj nową na jej miejsce, a następnie zarejestruj, używając do tego polecenia z głównego menu programu. Aby się upewnić, czy dobrze robisz, zobacz także na procedurę instalacji / deinstalacji.

Co powinien zawierać mail z raportem błędu (nie wszystko jest wymagane, ale będzie pomocne przy rozwiązywaniu problemu)?
  • szczegółowy opis błędu (co się stało; w jaki sposób można doprowadzić do jego ponownego wystąpienia). To jest wymagane - jeżeli nie będę wiedział, jak błąd powstał, jak będę go mógł naprawić?
  • plik konfiguracyjny Copy Handlera (ch.ini), jeżeli błąd wynikał z ustawień opcji. Jeżeli nie jesteś pewien - załącz spakowany plik konfiguracyjny do maila (preferowane są archiwa ZIP lub RAR). Nie wymagane, ale w pewnych przypadkach może okazać się bardzo pomocne,
  • konfiguracja systemu (wersja systemu Windows, wersja zainstalowanego Internet Eksplorera, wersja Copy Handlera, jaką używasz). Nie wymagane, ale pomocne - niektóre błędy wynikają z używania konkretnego systemu,
  • prędkość procesora oraz ilość pamięci RAM. Nie wymagane, ale czasami pomocne,
  • każda inna informacja (np. zrzut ekranu), które może okazać się pomocne.

Jeżeli chcesz dodać jakiś załącznik do maila - upewnij się, że jest on zapisany w formacie, który nie zajmuje zbyt dużo miejsca (np. zrzuty ekranu powinny być w postaci JPG'ów lub GIF'ów. Abosultnie nie przysyłaj mi obrazków jako BMP albo TIFF). Każdy inny rodzaj załącznika spakuj do formatu ZIP lub RAR.
Zobacz także: Kontakt / wsparcie, Znane błędy / problemy, Historia programu, Instalacja, Główne menu programu.


GNU General Public License - wersja anglojęzyczna

            GNU GENERAL PUBLIC LICENSE
               Version 2, June 1991

 Copyright (C) 1989, 1991 Free Software Foundation, Inc.
                          675 Mass Ave, Cambridge, MA 02139, USA
 Everyone is permitted to copy and distribute verbatim copies
 of this license document, but changing it is not allowed.

                Preamble

  The licenses for most software are designed to take away your
freedom to share and change it.  By contrast, the GNU General Public
License is intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users.  This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it.  (Some other Free Software Foundation software is covered by
the GNU Library General Public License instead.)  You can apply it to
your programs, too.

  When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.

  To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if you
distribute copies of the software, or if you modify it.

  For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have.  You must make sure that they, too, receive or can get the
source code.  And you must show them these terms so they know their
rights.

  We protect your rights with two steps: (1) copyright the software, and
(2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.

  Also, for each author's protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software.  If the software is modified by someone else and passed on, we
want its recipients to know that what they have is not the original, so
that any problems introduced by others will not reflect on the original
authors' reputations.

  Finally, any free program is threatened constantly by software
patents.  We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary.  To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at all.

  The precise terms and conditions for copying, distribution and
modification follow.

            GNU GENERAL PUBLIC LICENSE
   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

  0. This License applies to any program or other work which contains
a notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License.  The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it,
either verbatim or with modifications and/or translated into another
language.  (Hereinafter, translation is included without limitation in
the term "modification".)  Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope.  The act of
running the Program is not restricted, and the output from the Program
is covered only if its contents constitute a work based on the
Program (independent of having been made by running the Program).
Whether that is true depends on what the Program does.

  1. You may copy and distribute verbatim copies of the Program's
source code as you receive it, in any medium, provided that you
conspicuously and appropriately publish on each copy an appropriate
copyright notice and disclaimer of warranty; keep intact all the
notices that refer to this License and to the absence of any warranty;
and give any other recipients of the Program a copy of this License
along with the Program.

You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a fee.

  2. You may modify your copy or copies of the Program or any portion
of it, thus forming a work based on the Program, and copy and
distribute such modifications or work under the terms of Section 1
above, provided that you also meet all of these conditions:

    a) You must cause the modified files to carry prominent notices
    stating that you changed the files and the date of any change.

    b) You must cause any work that you distribute or publish, that in
    whole or in part contains or is derived from the Program or any
    part thereof, to be licensed as a whole at no charge to all third
    parties under the terms of this License.

    c) If the modified program normally reads commands interactively
    when run, you must cause it, when started running for such
    interactive use in the most ordinary way, to print or display an
    announcement including an appropriate copyright notice and a
    notice that there is no warranty (or else, saying that you provide
    a warranty) and that users may redistribute the program under
    these conditions, and telling the user how to view a copy of this
    License.  (Exception: if the Program itself is interactive but
    does not normally print such an announcement, your work based on
    the Program is not required to print an announcement.)

These requirements apply to the modified work as a whole.  If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works.  But when you
distribute the same sections as part of a whole which is a work based
on the Program, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Program.

In addition, mere aggregation of another work not based on the Program
with the Program (or with a work based on the Program) on a volume of
a storage or distribution medium does not bring the other work under
the scope of this License.

  3. You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:

    a) Accompany it with the complete corresponding machine-readable
    source code, which must be distributed under the terms of Sections
    1 and 2 above on a medium customarily used for software interchange; or,

    b) Accompany it with a written offer, valid for at least three
    years, to give any third party, for a charge no more than your
    cost of physically performing source distribution, a complete
    machine-readable copy of the corresponding source code, to be
    distributed under the terms of Sections 1 and 2 above on a medium
    customarily used for software interchange; or,

    c) Accompany it with the information you received as to the offer
    to distribute corresponding source code.  (This alternative is
    allowed only for noncommercial distribution and only if you
    received the program in object code or executable form with such
    an offer, in accord with Subsection b above.)

The source code for a work means the preferred form of the work for
making modifications to it.  For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable.  However, as a
special exception, the source code distributed need not include
anything that is normally distributed (in either source or binary
form) with the major components (compiler, kernel, and so on) of the
operating system on which the executable runs, unless that component
itself accompanies the executable.

If distribution of executable or object code is made by offering
access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.

  4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License.  Any attempt
otherwise to copy, modify, sublicense or distribute the Program is
void, and will automatically terminate your rights under this License.
However, parties who have received copies, or rights, from you under
this License will not have their licenses terminated so long as such
parties remain in full compliance.

  5. You are not required to accept this License, since you have not
signed it.  However, nothing else grants you permission to modify or
distribute the Program or its derivative works.  These actions are
prohibited by law if you do not accept this License.  Therefore, by
modifying or distributing the Program (or any work based on the
Program), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Program or works based on it.

  6. Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions.  You may not impose any further
restrictions on the recipients' exercise of the rights granted herein.
You are not responsible for enforcing compliance by third parties to
this License.

  7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all.  For example, if a patent
license would not permit royalty-free redistribution of the Program by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under
any particular circumstance, the balance of the section is intended to
apply and the section as a whole is intended to apply in other
circumstances.

It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system, which is
implemented by public license practices.  Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.

This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.

  8. If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
may add an explicit geographical distribution limitation excluding
those countries, so that distribution is permitted only in or among
countries not thus excluded.  In such case, this License incorporates
the limitation as if written in the body of this License.

  9. The Free Software Foundation may publish revised and/or new versions
of the General Public License from time to time.  Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.

Each version is given a distinguishing version number.  If the Program
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
Software Foundation.  If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.

  10. If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the author
to ask for permission.  For software which is copyrighted by the Free
Software Foundation, write to the Free Software Foundation; we sometimes
make exceptions for this.  Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software and
of promoting the sharing and reuse of software generally.

                NO WARRANTY

  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.

  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.

             END OF TERMS AND CONDITIONS

    Appendix: How to Apply These Terms to Your New Programs

  If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
free software which everyone can redistribute and change under these terms.

  To do so, attach the following notices to the program.  It is safest
to attach them to the start of each source file to most effectively
convey the exclusion of warranty; and each file should have at least
the "copyright" line and a pointer to where the full notice is found.

    ONE LINE TO GIVE THE PROGRAM'S NAME AND A BRIEF IDEA OF WHAT IT DOES.
    Copyright (C) 19yy  NAME OF AUTHOR

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Also add information on how to contact you by electronic and paper mail.

If the program is interactive, make it output a short notice like this
when it starts in an interactive mode:

    Gnomovision version 69, Copyright (C) 19yy name of author
    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
    This is free software, and you are welcome to redistribute it
    under certain conditions; type `show c' for details.

The hypothetical commands `show w' and `show c' should show the appropriate
parts of the General Public License.  Of course, the commands you use may
be called something other than `show w' and `show c'; they could even be
mouse-clicks or menu items--whatever suits your program.

You should also get your employer (if you work as a programmer) or your
school, if any, to sign a "copyright disclaimer" for the program, if
necessary.  Here is a sample; alter the names:

  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
  `Gnomovision' (which makes passes at compilers) written by James Hacker.

  <signature of Ty Coon>, 1 April 1989
  Ty Coon, President of Vice

This General Public License does not permit incorporating your program into
proprietary programs.  If your program is a subroutine library, you may
consider it more useful to permit linking proprietary applications with the
library.  If this is what you want to do, use the GNU Library General
Public License instead of this License.

Zobacz także: Kontakt / Wsparcie.


Historia programu / Co nowego?

  • 1.28
    • poprawiono problem z kopiowaniem plików, których nazwy rozpoczynały się kropką
    • dodano kilka nowych tłumaczeń
    • wiele zmian wewnętrznych w kodzie (np. zmieniono obsługę stl na stlPort z http://www.stlport.com)
  • 1.26
    • poprawiono wyświetlanie ścieżek w oknie statusu,
    • poprawiono zmianę języka 'w locie' w liście zadań w oknie statusu,
    • poprawiono obsługę ścieżek katalogów w konfiguracji,
    • okno "Brak wystarczającej ilości wolnego miejsca" zostanie teraz automatycznie zamknięte, gdy tylko zwolni się miejsce na wykonanie operacji,
    • zmieniono nazwy plików programu,
    • zmieniono obsługę języków - teraz są one oparte na plikach tekstowych zamiast bibliotek,
    • poprawiono błąd obsługi powłoki (problem z obługą wykrywania operacji przy wciśniętym klawiszu [CTRL]).
  • 1.25
    • dodano system pomocy do programu,
    • poprawiono błąd, kiedy nowo utworzone skróty (okno wyboru folderu) nie były zapisywane,
    • inne drobne optymalizacje i poprawki.
  • 1.20
    • zmienił się sposób licencjonowania programu. Teraz program zgodny jest z licencją GNU General Public License (co oznacza, że pełny kod programu jest dostępny na http://www.copyhandler.prv.pl),
    • dodano wsparcie dla plugina językowego,
    • zmieniono program instalacyjny na NSIS,
    • zoptymalizowano wykrywanie restartu tray'a,
    • zmodyfikowano okno 'O programie',
    • obecnie wszystkie stringi są odczytywane z tablic zasobów,
    • zmodyfikowano obsługę okna konfiguracji - obsługuje zastosowywanie zmian (przycisk 'Zastosuj'), dodano również zmianę języka 'w locie',
    • gdy operacja włączenia lub wyłączenia integracji z powłoką systemową nie powiedzie się, program wyświetli komunikat o błędzie,
    • dodano sekcję 'Plik Log' (chwilowo nieużywana),
    • wklejanie z użyciem CH nie powoduje już opróżniania schowka,
    • kilka mniejszych optymalizacji...
  • 1.13i
    • poprawiono błąd wykrywania partycji (ten sam dysk, czy inny) na nowszych komputerach lub z większą ilością urządzeń,
    • dokonano lekkich zmian w tekście - np. w angielskim zamiast 'OD' jest 'One disk',
    • poprawiono wykrywanie obecności stacji dysków / ścieżki dostępu do niej w oknie wyboru folderu docelowego,
    • zmodyfikowano kilka okien dialogowych (np. okno statusu) tak, aby wyświetlało się w pasku zadań,
    • poprawiono błąd związany z wprowadzaniem ścieżek dostępu w niektórych oknach - poprzednio ilość tekstu zależała od aktualnej wielkości okna,
    • dodano język francuski do programu (dzięki Julienowi (Vk)),
    • teraz rzeczywiście plik wykonywalny i biblioteka DLL są spakowane UPX'em, nie jak w wersji 1.13g ;)
  • 1.13g
    • poprawiono błąd związany z funkcją 'Kopiuj do' i pochodnymi w menu kontekstowym Eksplorera (w poprzedniej wersji nie wykonywała zamierzonego działania),
    • dodano dwie dodatkowe opcje związane z regulacją priorytetu - priorytet aplikacji i wyłączanie podbijania priorytetu wątku kopiującego
    • poprawiono błąd związany z obliczaniem wolnego miejsca na dysku (jeśli ilość miejsca na dysku była równa wielkości zasobów do skopiowania program wyświetlał okno informujące o braku miejsca),
    • poprawiono błąd związany z kopiowaniem plików, których data utworzenia/modyfikacji/zapisu zawierały się poza zakresem roku 1970~2038 (program wykonywał nieprawidłową operację),
    • dodano możliwość ustalania kolejności skrótów,
    • program i biblioteka DLL zostały skompresowane oprogramowaniem UPX.
  • 1.13e
    • poprawiono kilka kolejnych literówek - np. brak wyrazu 'special' w menu kontekstowym w wersji anglojęzycznej,
    • poprawiono nieco działanie eksperymentalnej opcji przeciągania lewym przyciskiem myszy,
    • dodano możliwość importu ścieżek do kopiowania z pliku tekstowego,
    • dodano możliwość forsownego tworzenia pełnych ścieżek źródłowych w miejscu docelowym,
    • ikona programu w tray'u automatycznie pokaże się po restarcie Eksplorera,
    • dodatkowa opcja w konfiguracji - wybór domyślnej akcji dla przeciągania plików lewym przyciskiem myszy (jeśli jest włączona opcja przechwytywania).
  • 1.13
    • poprawiono błąd związany z wielokrotnym wyświetlaniem komend w menu 'Plik' Eksplorera (im więcej razy otwarto menu, tym więcej pojawiało się komend),
    • poprawiono denerwujące zachowanie - zapisywanie stanu operacji zakończonych/spauzowanych/anulowanych było wykonywane niepotrzebnie, jako że żadne dane dotyczące tych operacji nie były modyfikowane. (np. używając defragmentatora dysków - operacja była przerywana podczas każdego niepotrzebnego zapisu danych) - teraz przechodząc do jednego z wymienionych stanów dane zapisywane są tylko raz.
  • 1.12 Final
    • lekkie zmiany w tekście - na "bardziej polskie",
    • zmieniono standardową ścieżkę dla danych tymczasowych na katalog TEMP,
    • usunięto błąd związany z ustawianiem wielkości buforów w oknie statusu,
    • wywalono niepotrzebny plik 'Quick access data.ini' - zawartość została wkomponowana do pliku 'Copy Handler.ini',
    • poprawiono kilka drobiazgów związanych z niekompatybilnością systemów - teraz program powinien bez przeszkód działać na systemach Windows 95/98/Me/NT4/2000/XP,
    • trochę zmieniono (właściwie przepisano od nowa) okno dialogowe wyboru folderu docelowego,
    • zmieniono nieco okno dialogowe ustawień kopiowania oraz rozszerzono możliwości filtrowania plików,
    • poprawiono trochę obsługę shella - dodatkowe komendy i dwie opcje eksperymentalne (działają tylko na niektórych systemach),
    • kilka innych drobiazgów, o których nie warto pisać...
  • 1.11
    • dodano nową opcję - wybór stylu pasków postępu w mini statusie (płynne/skokowe),
    • poprawiono początkowy stan pliku INI - nieefektywne ustawienie wielkości buforów.
  • 1.10 Final
    • poprawiono wykrywanie partycji leżących na jednym dysku fizycznym,
    • dodano program instalujący,
    • do okna 'o programie' dodano informację o nowym e-mail'u,
    • usunięto automatyczne rejestrowanie rozszerzenia powłoki systemowej podczas startu programu - teraz zajmie się tym instalator,
    • poprawiono nieco obsługę automatycznego uruchomienia programu wraz z systemem.
  • 1.10 beta 4
    • poprawiono błąd związany z kopiowaniem danych w systemach Windows NT/2000/XP z wyłączonym buforowaniem,
    • poprawiono szybkość pauzowania, wznawiania, itp. zadań, zwłaszcza pod seriami NT (NT/2000/XP) Windowsa,
    • poprawiono błąd związany z ustalaniem folderu docelowego dla tymczasowych danych,
    • dołożono obsługę autodetekcji bufora oraz 5 różnego rodzaju buforów odpowiednich do rodzaju kopiowania; zmieniono w związku z tym sposób wpisywania wielkości buforów, itp.,
    • poprawiono występujące dziwne efekty dla dużych wielkości buforów,
    • dodatkowe opcje w głównym menu programu - rejestracja/derejestracja rozszerzenia powłoki systemowej (shella),
    • włączanie okna statusu powoduje teraz automatyczne ukrycie ministatusu,
    • przy podawaniu ścieżki dostępu do dźwięków, oraz do folderu tymczasowego można stosować teraz skróty (określone ścieżki nie kończą się \, więc trzeba go dopisać podczas modyfikacji ścieżki np. < WINDOWS >\media; ścieżki podane w ten sposób muszą byś wpisywane wielkimi literami - < WINDOWS >, a nie < windows > lub < Windows >; ścieżki wpisywane w ten sposób nie zawierają spacji, choć tu może to wyglądać inaczej):
      • < WINDOWS > - katalog windows (np. c:\windows),
      • < TEMP > - katalog na pliki tymczasowe (np. c:\windows\temp),
      • < SYSTEM > - katalog systemowy (np. c:\windows\system),
      • < APPDATA > - katalog na dane aplikacji (np. c:\windows\Dane aplikacji),
      • < DESKTOP > - katalog w którym trzymana jest zawartość pulpitu (np. C:\WINDOWS\PULPIT),
      • < PERSONAL > - katalog prywatny zalogowanego użytkownika (np. C:\MOJE DOKUMENTY),
    • poprawiono wyłączanie programu (poprzez opcję menu oraz poprzez zamknięcie systemu) - teraz program zapisuje stan kopiowań przez wyjściem; przyspieszono też wyłączanie programu,
    • teraz wyłączanie systemu pozwala przez określony czas na anulowanie, oraz działa pod Windows NT/2000/XP; dodatkowo, jeśli zaznaczymy opcję automatycznego wyłączenia systemu po zakończeniu kopiowania a żadne zadanie nie jest aktualnie przetwarzane program nie będzie się starał wyłączyć systemu - poczeka na rozpoczęcie i zakończenie jakiegoś zadania; można również ustalić rodzaj wyłączenia (force/zwykłe),
    • poprawiono mini status pod kątem współpracy z Windows NT/2000/XP - teraz można korzystać z przycisków umieszczonych na pasku tytułu,
    • naciśnięcie przycisku wznowienia na oczekującym zadaniu spowoduje, że zadanie to będzie wznowione bez względu na ograniczenie ilości jednocześnie wykonywanych zadań,
    • jeśli zostanie ograniczona ilość jednocześnie wykonywanych zadań, to zadania oczekujące będą załączać się w kolejności w jakiej zostały wpisane na listę,
    • zmieniono nieco obsługę plików LOG oraz błędów - teraz oprócz numeru błędu jest wyświetlany komunikat o błędzie oraz miejsce programu, w którym nastąpił ów błąd,
    • w oknie statusu dołożono dodatkową informację o tymczasowych plikach skojarzonych z zaznaczonym zadaniam,
    • drobne modyfikacje UI (ikony wzięte z Windowsa XP - mam nadzieję, że nikt się nie pogniewa), optymalizacje, inne...
  • 1.03
    • poprawiono wiele błędów związanych z wyświetlaniem tekstu - zwłaszcza przy ustawieniu większej czcionki we właściwościach wyświetlania, lub ustawieniu dziwnego schematu kolorów lub wielkości elementów wizualnych,
    • zmieniono nieco obsługę kopiowania plików z wyłączonym buforowaniem - poprzednio plik kopiowany był wielokrotnościami wielkości bufora. Jeśli odczytana ilość danych nie była wielokrotnością wielkości bufora - program zapisywał nadmiar informacji do pliku, a po chwili zmieniał wielkość pliku na oczekiwaną. Teraz kopiowanie takie odbywa się w dwóch przejściach - pierwsze kopiuje wielokrotności wielkości bufora, zaś drugie pozostałą resztkę (dot. tylko kopiowania plików bez buforowania),
    • dołożono dodatkową opcję w menu - wyłączanie systemu po zakończeniu kopiowania,
    • poprawiono obsługę wyświetlania okna dialogowego informującego o ilości wolnego miejsca na dysku - teraz, jeśli kopiowanie zostanie przerwane w połowie a następnie wznowione, to podczas obliczania potrzebnego miejsca skopiowana część zostanie uwzględniona,
    • poprawiono nieco okna wizualnych potwierdzeń - są nieco bardziej przejrzyste (niestety, dalej są beznadziejne),
    • poprawiono błąd - ograniczanie ilości jednocześnie wykonywanych operacji przestawało działać w pewnych sytuacjach - wymagało to restartu programu,
    • poprawiono obsługę przenoszenia danych w obrębie jednej partycji - poprzednio przenoszenie danych w ten sposób powodowało generowanie błędu 'Plik już istnieje' jeśli istniał plik lub folder o nazwie takiej jak kopiowana,
    • poprawiono błędne pokazywanie postępu w przypadku kopiowania danych z wyłączonym buforowaniem (być może powodowało to jeszcze inne konflikty o których nie wiem),
    • drobne poprawki dot. kolejności w jakiej przechodzi się między kontrolkami za pomocą klawisza [TAB].
  • 1.02
    • zamieniono starą wersję BCMenu na nową (wizualna zmiana: domyślna opcja jest pokazana pogrubioną czcionką),
    • teraz nie pokazuje się już 0% po zakończeniu przenoszenia plików (nie folderów) w obrębie jednej partycji,
    • dodano obsługę kopiowania plików bez buforowania (przydaje się podczas kopiowania dużych plików),
      • wielkość bufora do kopiowania jest zaokrąglana do najbliższej wielokrotności 64kB,
      • jeśli plik jest kopiowany bez buforowania i ma wielkość, która nie jest wielokrotnością 4kB to plik wyjściowy w pewnym momencie będzie miał wielkość większą niż plik źródłowy. (Uwaga: Jeśli w tym momencie kopiowanie zostanie przerwane, zaś później wznowione - program zacznie kopiowanie od początku, chyba że opcja używania wizualnych okien potwierdzeń jest ustawiona na ostre),
      • pojwaiły się dwie nowe opcje - jedna pozwala włączyć/wyłączyć obsługę buforowania kopiowanych plików, zaś druga pozwala określić minimalną wielkość pliku, która kwalifikuje go do kopiowania bez buforowania (kopiowanie małych plików bez buforowania spowoduje mocne obniżenie prędkości kopiowania),
    • poprawiono nieco obsługę konfiguracji (nie powinna teraz tak mocno przyblokowywać innych części programu),
    • poprawiono kolejność przechodzenia między kontrolkami w niektórych oknach,
    • zmieniono nieco układ menu głównego w programie; dołożono dodatkową opcję - teraz można wybrać monitorowanie schowka również z tego menu (a nie tylko z opcji).
  • 1.01a
    • poprawiono współpracę DLL'ki z wersjami ANSI starszych systemów Windows (98/Me).
  • 1.01
    • poprawiono sytuację, gdy brak pliku źródłowego przy włączonych oknach potwierdzeń powodował "wysypanie się" programu,
    • teraz okno ręcznego wprowadzania danych o kopiowaniu wyświetla wreszcie rodzaj operacji (kopiowanie, przenoszenie),
    • poprawiono współpracę programu z UNICODE'owymi wersjami Windows (NT/2000/XP) - teraz program (właściwie biblioteka DLL) powinien działać pod tymi systemami bez zarzutu,
    • jeśli "Pokaż rejestr" nie wyświetli notatnika z plikiem log to pokaże odpowiedni komunikat o błędzie,
    • teraz w oknie wyboru folderu docelowego (przy włączonym monitorowaniu schowka) pojawia się informacja o ilości wolnego miejsca na dysku,
    • jeśli wystąpi błąd kopiowania, to automatyczne wznowienie odbędzie się po określonym czasie od wystąpienia błędu, a nie jak dotychczas od ostatniej próby wznowienia,
    • jeśli podczas kopiowania danych program stwierdzi, że na dysku docelowym nie ma wystarczającej ilości miejsca to pokaże odpowiedni komunikat,
    • poprawiono nieprawidłowo pokazywany opis komendy z menu kontekstowego Shell'a.

Zobacz także: Znane błędy / problemy.


Znane błędy / problemy

  • przenoszenie po sieci powoduje zawsze kopiowanie zawartości, pomimo, iż w niektórych przypadkach da się to zrobić bez kopiowania,
  • przechwytywanie przez program przeciąganie plików lewym przyciskiem myszy nie działa na części systemów (zwłaszcza tych starszych - np. Windows 98, 95),
  • rysowanie ikon w menu kontekstowym Eksplorera nie działa w starszych wersjach systemu Windows,
  • kopiowanie wielu małych plików jest raczej powolne.
Zobacz także: Historia programu, Raportowanie błędów, Kontakt / Wsparcie.


Podziękowania

Chciałbym podziękować każdemu, kto pomagał mi w tworzeniu programu - a w szczególności:
Ludziom, którzy mieli 'fizyczny' wkład w projekt:
  • El Magico - skrypt instalacyjny, autor wielu raportów o błędach, świetne pomysły...
  • Barnaba - zajmuje się obecną stroną domową programu
  • Tomas S. Refsland - sponsor serwera i domeny
  • Kaleb - poprzedni twórca strony Copy Handlera
  • Marcin Kędzia & DMK Project - były sponsor naszej strony internetowej - http://www.dmkproject.pl

Autorom wersji językowych dostarczonych z programem:

Aktualna lista zainstalowanych wersji językowych znajduje się w oknie "O Programie".

Osobom, których kod został użyty przy tworzeniu obecnej wersji programu (pozyskane z http://www.codeguru.com):
  • Antonio Tejada Lacaci - CFileInfoArray (z dużymi modyfikacjami)
  • Keith Rule - CMemDC
  • Brett R. Mitchell - CPropertyListCtrl (z drobnymi dodatkami)

Ludziom / instytucjom - autorom programów użytych przy tworzeniu Copy Handlera:
  • Microsoft - autorzy: Visual Studio 6.0, wszystkich systemów operacyjnych z rodziny Windows oraz niektórych ikon (http://www.microsoft.com)
  • Markus Oberhumer & Laszlo Molnar - UPX Software - kompresja plików wykonywalnych (http://upx.tsx.org)

Pozostałym osobom (za wiele różnych rzeczy...):
  • Chis Octavian
  • Peter Bijl
  • Sebastian Schuberth

Jeżeli sądzisz, że powinieneś zostać tu wymieniony, a nie jesteś - napisz, dlaczego tak uważasz.

Zobacz także: Kontakt / wsparcie, Licencja.


.topic 0
Żaden temat nie został powiązany z tą pozycją.


.topic 0x00
Żaden temat nie został powiązany z tą pozycją.

.topic 1
Zamyka to okno.

.topic 0x4B2
Odnośnik do strony domowej programu.

.topic 0x4E7
Odnośnik do strony naszego sponsora internetowego.

.topic 0x4B6
Mój preferowany adres korespondencyjny. Napisz maila, jeżeli chcesz zgłosić błąd, wyrazić opinię na temat programu lub jeśli chcesz o coś zapytać.

.topic 0x4B7
Mój drugi adres korespondencyjny. Napisz maila, jeżeli chcesz zgłosić błąd, wyrazić opinię na temat programu lub jeśli chcesz o coś zapytać.

.topic 0x4B8
Odnośnik do strony z forum dyskusyjnym. Jeżeli chcesz otrzymywać powiadomienia o nowych wersjach programu, zapisz się na niego.

.topic 0x4B9
Odnośnik do adresu mailowego, dzięki któremu można się na listę dyskusyjną 'copy handler'.

.topic 0x4BA
Odnośnik do adresu mailowego, dzięki któremu można się wypisać z listy dyskusyjnej 'copy handler'.

.topic 0x4BB
Powinieneś napisać maila na ten adres, jeżeli chcesz, żeby wszyscy zarejestrowani użytkownicy dostawali pocztę.

.topic 0x4BC
Odnośnik do strony z forum dyskusyjnym dla programistów. Powinieneś zapisać się na tą listę dyskusyjną, jeżeli piszesz wtyczki do Copy Handlera (np. tłumaczysz program). Jeżeli jakieś stringi powinny być dodane (lub zmienione) w programie, wyślę maila na forum z dziennikiem zmian. Również jeżeli masz jakieś komentarze dot. kodu źródłowego Copy Handlera, możesz napisać tutaj.

.topic 0x4BD
Odnośnik do adresu mailowego, dzięki któremu można się na listę dyskusyjną 'chdev'.

.topic 0x4BE
Odnośnik do adresu mailowego, dzięki któremu można się wypisać z listy dyskusyjnej 'chdev'.

.topic 0x4BF
Musisz napisać maila na ten adres, jeżeli chcesz, żeby wszyscy zarejestrowani użytkownicy chdev dostawali pocztę.

.topic 0x4AE
Lista osób, którym chciałbym serdecznie podziękować za pomoc przy tworzeniu tego programu.


.topic 0x3EB
Lista wszystkich zadań i trochę informacji o każdym z nich (obecny status, aktualna nazwa pliku źródłowego, ścieżka docelowa i procentowy postęp). Po kliknięciu na pozycję z listy, detale zostaną wyświetlone po prawej stronie. Można manipulować zadaniami w tej liście, używając przycisków znajdujących się poniżej.

.topic 0x3FA
Zatrzymuje zaznaczone zadanie. Jeżeli inne zadanie oczekiwało na jego zakończenie, zostanie wznowione rozpoczęte.

.topic 0x412
Powoduje ponowne uruchomienie zaznaczonego zadania. Zadanie zostanie uruchomione od początku.

.topic 0x3FE
Anuluje aktualnie zaznaczone zadanie.

.topic 0x413
Usuwa zaznaczone zadanie z listy operacji. Jeżeli zadanie jest uruchomione (nie jest w stanie anulowania ani ukończenia), program zapyta, czy je zakończyć.

.topic 0x414
Wstrzymuje wszystkie zadania z listy operacji.

.topic 0x3FD
Wznawia pracę zaznaczonego-wstrzymanego zadania. Podobnie jeżeli zadanie jest w stanie oczekiwania (oczekuje na zakończenie innego), kliknięcie na ten przycisk spowoduje jego uruchomienie. Jeżeli akcja zostanie wykonana przy tym rodzaju wznowienia, zadanie zignoruje ustawienie w opcjach pozycji 'Ogranicz ilość jednocześnie wykonywanych operacji' i uruchomi zadanie równolegle

.topic 0x411
Rozpoczyna wszystkie zaplanowane zadania z listy operacji.

.topic 0x416
Anuluje wszystkie zaplanowane zadania z listy operacji.

.topic 0x417
Usuwa wszystkie anulowane i ukończone zadania z listy operacji.

.topic 0x415
Uruchamia ponownie wszystkie zaplanowane zadania z listy operacji.

.topic 0x462
Powoduje 'przyklejenie' okna statusu do prawego, dolnego rogu ekranu.

.topic 0x40E
Zmienia widok okna z zaawansowanego na uproszczony i odwrotnie.

.topic 0x3F5
Zmienia obecny rozmiar bufora dla aktualnie zaznaczonego zadania.

.topic 0x3F8
Zmienia priorytet aktualnie zaznaczonego zadania.

.topic 0x460
Pokazuje pliki .log (dziennika) powiązane z aktualnie zaznaczonym zadaniem.

.topic 0x410
Pokazuje ścieżki do plików, które opisują obecnie zaznaczone zadanie. Pliki .atd i .atp zapamiętują obecny stan zadania. Plik .log zawiera dziennik z informacjami generowanymi przez zaznaczone zadanie.

.topic 0x405
Pokazuje typy operacji i status obecnie zaznaczonego zadania.

.topic 0x403
Pokazuje aktualne ścieżki do plików, które są przetwarzane w zaznaczonym zadaniu.

.topic 0x404
Pokazuje ścieżkę docelową, do której zaznaczone zadanie kopiuje lub przenosi dane.

.topic 0x409
Pokazuje aktualne statystyki postępu zaznaczonego zadania.

.topic 0x40D
Pokazuje czas, który upłynął oraz szacowany czas ukończenia zaznaczonego zadania.

.topic 0x40A
Pokazuje obecną i przeciętną prędkość transferu dla zaznaczonego zadania.

.topic 0x406
Wyświetla rozmiar bufora, który jest używany przy kopiowaniu obecnego pliku do docelowej lokalizacji. Inforamcja jest wyświetlana dla obecnego zadania z listy operacji. Możesz zmienić jego wielkość, klikając na przycisk '...' po prawej stronie.

.topic 0x407
Pokazuje priorytet, z jakim obecne zadanie zostało uruchomione. Można go zmienić, używając przycisku '>' po prawej stronie.

.topic 0x40B
Pokazuje informacje o postępie dla wszystkich zadań z listy operacji.

.topic 0x40C
Pokazuje obecną prędkość transferu dla wszystkich działających zadań z listy operacji.


.topic 1
Zamyka okno i zapamiętuje zmienione ustawienia.

.topic 2
Zamyka okno i anuluje wszystkie wprowadzone zmiany.

.topic 0x4E9
Wyświetla inforamcje pomocy dla tego okna.

.topic 0x46E
Rozmiar bufora, jaki powinien być użyty przy kopiowaniu lub przenoszeniu danych, gdy opcja 'Używaj tylko domyślnego bufora' jest włączona lub gdy żaden inny rozmiar bufora nie pasuje do obecnej operacji.

.topic 0x46D
Ustawia jednostkę wielkości, w której wyrażone są wartości po lewej stronie.

.topic 0x46F
Rozmiar bufora, jaki powienien być użyty przy kopiowaniu danych pomiędzy dwoma miejscami leżącymi na tym samym fizycznym dysku twardym. Duże wielkości bufora mogą znacząco poprawić wydajność kopiowania, jednak zbyt wielkie spowodują jej obniżenie. Wartości te są wybierane automatycznie, dopóki zaznaczone jest pole 'Używaj tylko domyślnego bufora'.

.topic 0x472
Określa jednostkę wielkości, w której wyrażone są wartości po lewej stronie.

.topic 0x473
Rozmiar bufora, jaki powinien być użyty przy kopiowaniu danych pomiędzy dwoma oddzielnymi fizycznymi dyskami twardymi. Wartości nie powinny być zbyt duże, ponieważ występuje prawdopodobieństwo obniżenia wydajności. Wartości te są wybierane automatycznie, dopóki zaznaczone jest pole 'Używaj tylko domyślnego bufora'.

.topic 0x474
Określa jednostkę wielkości, w której wyrażone są wartości po lewej stronie.

.topic 0x475
Rozmiar bufora, jaki powinien być użyty przy kopiowaniu danych z napędu CD-ROM na inny nośnik pamięci. Wartości nie powinny być zbyt duże, ponieważ napędy CD-ROM są raczej wolnymi urządzeniami (w porównaniu z nowszymi dyskami twardymi). Wartości te są wybierane automatycznie, dopóki zaznaczone jest pole 'Używaj tylko domyślnego bufora'.

.topic 0x476
Określa jednostkę wielkości, w której wyrażone są wartości po lewej stronie.

.topic 0x477
Rozmiar bufora, jaki powinien być użyty przy kopiowaniu danych do lub z sieci lokalnej. Wartości powinny być uzależnione od wydajności sieci - np. na 10Mbps łączu powinny być mniejsze niż na łączu 1Gbps. Wartości te są wybierane automatycznie, dopóki zaznaczone jest pole 'Używaj tylko domyślnego bufora'.

.topic 0x478
Określa jednostkę wielkości, w której wyrażone są wartości po lewej stronie.

.topic 0x479
Określa, czy zadanie (zadania) powinny używać tylko domyślnych wielkości buforów do kopiowania/przenoszenia danych czy też powinny automatycznie wykrywać potrzebny rozmiar bufora, analizując nośniki źródłowe i docelowe.


.topic 1
Zapamiętuje zmienione ustawienia i zamyka okno.

.topic 2
Anuluje wszystkie wprowadzone zmiany.

.topic 0x4E9
Wyświetla informacje pomocy dla tego okna.

.topic 0x418
Pokazuje listę właściwości programu, które można zmienić.

.topic 0x4C2
Zastosowuje wszystkie zmiany wprowadzone w tym oknie.


.topic 0x419
Pokazuje status obecnie aktywnych zadań. Wygląd jest uzależniony od ustawień okna konfiguracyjnego, sekcja 'Miniaturowy widok'.


.topic 1
Zamyka okno i rozpoczyna nowe zadanie, które wykonuje zaplanowane operacje.

.topic 2
Zamyka okno i anuluje wszystkie wprowadzone zmiany.

.topic 0x4E9
Pokazuje informacje pomocy dla tego okna.

.topic 0x429
Określa listę plików i folderów do skopiowania lub przeniesienia do katalogu docelowego. Można zarządzać tymi elementami dzięki czterem przyciskom znajdującymi się po prawej stronie.

.topic 0x3EA
Dodaje jeden lub więcej plików do listy z plikami/folderami (po lewej stronie) do skopiowania lub przeniesienia.

.topic 0x3F3
Dodaje katalog do listy z plikami/folderami (po lewej stronie) do skopiowania lub przeniesienia.

.topic 0x3EC
Usuwa pliki i/lub foldery z listy po lewej stronie.

.topic 0x4A7
Importuje ścieżki plików i folderów z pliku tekstowego. Każda linia tekstu musi określać ścieżkę do folderu lub pliku, który ma być zaimportowany.

.topic 0x49B
Ścieżka docelowa - wszystkie pliki i foldery z powyższej listy zostaną skopiowane lub przeniesione do tego miejsca.

.topic 0x3F0
Otwiera okno wyboru katalogu, gdzie będzie można określić ścieżkę docelową.

.topic 0x3F1
Określa operację, która będzie wykonana na plikach i folderach z listy.

.topic 0x42F
Określa poziom priorytetu, z jakim będzie uruchomione zadanie. Zaleca się używanie go z rozwagą przy korzystaniu z bardzo szybkich pamięci masowych (np. ram dysków lub innych tego typu urządzeń).

.topic 0x3F4
Określa rozmiary bufora, który będzie użyty przy wykonywaniu zadaniu. Można go zmienić, klikając na przycisk po prawej stronie.

.topic 0x400
Umożliwia zmienienie rozmiarów bufora, który będzie użyty do wykonania zaplanowanych operacji.

.topic 0x3F6
Włącza lub wyłącza stosowanie filtrowania nazw plików w zadaniu.

.topic 0x3F2
Określa listę aktywnych filtrów, które zostaną użyte do wykonania potrzebnych operacji. Można je dodawać lub usuwać, używając przycisków po prawej stronie. Podwójne kliknięcie na elemencie spowoduje edycję wybranego filtra.

.topic 0x401
Dodaje nowy filtr do listy filtrów.

.topic 0x402
Usuwa zaznaczony filtr z listy.

.topic 0x3FF
Włącza lub wyłącza zaawansowane opcje.

.topic 0x3F7
Zaawansowana opcja kopiowania/przenoszenia. Kiedy jest aktywna, program skopiuje tylko pliki do katalogu docelowego, pomijając strukturę katalogów. Jeśli kopiowany jest katalog 'C:\WINDOWS' na 'D:\', powstaną wszystkie pliki z 'C:\WINDOWS' ale bez żadnego podkatalogu wewnątrz w głównym folderze na dysku 'D:\'.

.topic 0x3F9
Zaawansowana opcja kopiowania/przenoszenia. Jeżeli zostanie uaktywniona, program skopiuje tylko strukturę plików, bez ich zawartości. Zaleca się używanie tego ustawnienia z rozwagą, ponieważ można stracić wszystkie kopiowane dane.

.topic 0x3FC
Zaawansowana opcja kopiowania/przenoszenia. Jeżeli zostanie uaktywniona, program tworzy pełną ścieżkę docelową (zależną od głównego folderu dysku źródłowego) w katalogu docelowym. Np. jeśli kopiowany jest katalog 'C:\WINDOWS\SYSTEM' na 'D:\', powstanie folder 'D:\WINDOWS\SYSTEM' w katalogu docelowym, a folder 'system' będzie miał zawartość 'C:\WINDOWS\SYSTEM'.


.topic 1
Zamienia ścieżkę podaną powyżej w oknie edycji na tą z okna edycji poniżej i zamyka okno.

.topic 2
Zamyka okno i anuluje wszystkie wprowadzone zmiany.

.topic 0x4E9
Wyświetla informacje pomocy dla tego okna.

.topic 0x436
Lista domyślnych ścieżek, które mogą być zamienione na inne. Jeżeli jakaś ścieżka jest zaznaczona, pojawi się w oknie edycji poniżej.

.topic 0x41A
Określa ścieżkę, która będzie zamieniona na tą z okna edycji poniżej.

.topic 0x41B
Określa ścieżkę, na którą jedna z powyższych zostanie zamieniona. Można wpisywać ścieżkę ręcznie z klawiatury lub wskazać ją, klikając na przycisk '...' po prawej stronie.

.topic 0x428
Przegląda w poszukiwaniu ścieżki, która będzie wyświetlona w oknie po lewej stronie.


.topic 2
Anuluje całe zadanie.

.topic 0x44C
Ponawia próbę otwarcia pliku.

.topic 0x449
Ignoruje błąd i pomija kopiowany plik.


.topic 2
Anuluje całe zadanie.

.topic 0x4E6
Wyświetla informacje o błędzie. W miejscu docelowym, na które wskazuje ścieżka, nie ma wystarczającej ilości wolnego miejsca.

.topic 0x429
Wyświetla listę plików, które są kopiowane do miejsca docelowego.

.topic 0x467
Określa wymaganą ilość wolnego miejsca, która jest potrzebna do skopiowania plików.

.topic 0x468
Określa ilość dostępnego miejsca w miejscu docelowym.

.topic 0x44C
Ponawia próbę kopiowania pliku.

.topic 0x449
Ignoruje ten błąd i kontynuuje kopiowanie.


.topic 2
Anuluje sekwencję odliczania i zamyka to okno.


.topic 1
Zamyka okno i zapamiętuje zmienione ustawienia.

.topic 2
Zamyka okno i anuluje wszystkie wprowadzone zmiany.

.topic 0x4E9
Wyświetla informacje pomocy dla tego okna.

.topic 0x47E
Umożliwia filtrowanie względem zgodności nazw z maską. Aby pliki zostały skopiowane, ich nazwy muszą odpowiadać jednej z tych masek.

.topic 0x47D
Miejsce wprowadzania wymaganej maski filtrującą (zgodność nazwy z maską). Jeżeli wymagana jest więcej niż jedna maska, należy je odseparować od siebie, używając znaku '|'.

.topic 0x499
Umożliwia filtrowanie względem niezgodności nazw z maską. Nazwy plików *nie mogą* zawierać żadnych z tych masek, aby zostały skopiowane.

.topic 0x498
Miejsce wprowadzania wymaganej maski filtrującą (niezgodność nazwy z maską). Jeżeli wymagana jest więcej niż jedna maska, należy je odseparować od siebie, używając znaku '|'.

.topic 0x47F
Umożliwia filtrowanie względem rozmiaru plików. Nazwy plików muszą zgadzać się z ustawieniami poniżej, aby zostały skopiowane.

.topic 0x482
Określa relację między rozmiarem pliku źródłowego, a rozmiarem określonym po prawej stronie. Wymaga zgodności, aby plik został skopiowany.

.topic 0x480
Określa rozmiar, do jakiego plik źródłowy będzie porównywany.

.topic 0x481
Mnożnik dla wartości po lewej stronie.

.topic 0x488
Umożliwia filtrowanie plików względem drugiego rozmiaru. Nazwy plików muszą zgadzać się z ustawieniami powyżej, aby zostały skopiowane.

.topic 0x486
Określa relacje między rozmiarem pliku źródłowego, a drugim rozmiarem określonym po prawej stronie. Wymaga zgodności, aby plik został skopiowany.

.topic 0x484
Określa rozmiar, do którego plik źródłowy będzie porównywany.

.topic 0x485
Mnożnik dla wartości po lewej stronie.

.topic 0x489
Umożliwia filtrowanie plików względem ich dat i czasów.

.topic 0x48F
Rodzaj daty/czasu, która będzie przetworzona przy porównywaniu daty/czasu pliku źródłowego z wyszczególnionym.

.topic 0x490
Określa relacje między datą/czasem pliku źródłowego, a wyszczególnioną datą i/lub czasem. Wymaga zgodności, aby plik został skopiowany.

.topic 0x491
Określa datę, która będzie porównywana do daty pliku źródłowego. Wymaga zgodności, aby plik został skopiowany. Używane tylko wtedy, gdy zaznaczone.

.topic 0x492
Określa datę, która będzie porównywana do daty pliku źródłowego. Wymaga zgodności, aby plik został skopiowany. Używane tylko wtedy, gdy zaznaczone.

.topic 0x493
Umożliwia filtrowanie plików względem ich dat i czasów (sekcja druga).

.topic 0x494
Określa drugą relację między datą/czasem pliku źródłowego a określoną datą i/lub czasem. Wymaga zgodności, aby plik został skopiowany.

.topic 0x495
Określa drugą datę, która będzie porównywana do daty pliku źródłowego. Wymaga zgodności, aby plik został skopiowany. Używane tylko wtedy, gdy zaznaczone.

.topic 0x496
Określa drugi czas, który będzie porównywany do czasu pliku źródłowego. Wymaga zgodności, aby plik został skopiowany. Używane tylko wtedy, gdy zaznaczone.

.topic 0x48A
Umożliwia filtrowanie plików względem ich atrybutów.

.topic 0x48B
Zezwala na filtrowanie względem atrybutu 'Archiwalny'. Jeżeli odznaczone - plik nie może mieć ustawionego tego atrybutu, aby został skopiowany; jeżeli zaznaczone - musi być ustawiony; jeżeli jest szarawe - nie ma to znaczenia.

.topic 0x48C
Zezwala na filtrowanie względem atrybutu 'Tylko do odczytu'. Jeżeli odznaczone - plik nie może mieć ustawionego tego atrybutu, aby został skopiowany; jeżeli zaznaczone - musi być ustawiony; jeżeli jest szarawe - nie ma to znaczenia.

.topic 0x48D
Zezwala na filtrowanie względem atrybutu 'Ukryty'. Jeżeli odznaczone - plik nie może mieć ustawionego tego atrybutu, aby został skopiowany; jeżeli zaznaczone - musi być ustawiony; jeżeli jest szarawe - nie ma to znaczenia.

.topic 0x48E
Zezwala na filtrowanie względem atrybutu 'Systemowy'. Jeżeli odznaczone - plik nie może mieć ustawionego tego atrybutu, aby został skopiowany; jeżeli zaznaczone - musi być ustawiony; jeżeli jest szarawe - nie ma to znaczenia.

.topic 0x497
Zezwala na filtrowanie względem atrybutu 'Katalog'. Jeżeli odznaczone - plik nie może mieć ustawionego tego atrybutu, aby został skopiowany; jeżeli zaznaczone - musi być ustawiony; jeżeli jest szarawe - nie ma to znaczenia.


.topic 1
Zamyka okno i zapamiętuje zmienione ustawienia.

.topic 2
Zamyka okno i anuluje wszystkie wprowadzone zmiany.

.topic 0x4E9
Wyświetla informacje pomocy dla tego okna.

.topic 0x49C
Lista obecnie zdefiniowanych skrótów. Można je edytować, używając poniższych elementów.

.topic 0x4A8
Przenosi zaznaczony skrót (skróty) w górę o jedną pozycję.

.topic 0x4A9
Przenosi zaznaczony skrót (skróty) w dół o jedną pozycję.

.topic 0x49D
Określa nazwę dla skrótu.

.topic 0x49E
Określa ścieżkę skrótu. Można wpisać ścieżkę ręcznie z klawiatury lub wskazać ją, klikając na przycisk '...' po prawej stronie.

.topic 0x428
Przegląda w poszukiwaniu ścieżki, która będzie wyświetlona w oknie po lewej stronie.

.topic 0x424
Dodaje skrót zdefiniowany przez edycję powyższego pola kombi do listy skrótów.

.topic 0x4A1
Zmienia zaznaczony skrót w liście na ten zdefiniowany przez edycję i powyższe pole kombi.

.topic 0x413
Usuwa zaznaczony skrót z listy.


.topic 1
Zamyka okno i zapamiętuje zmienione ustawienia.

.topic 2
Zamyka okno i anuluje wszystkie wprowadzone zmiany.

.topic 0x4E9
Wyświetla inforamcje pomocy dla tego okna.

.topic 0x4A6
Lista ostatnio używanych ścieżek. Można nimi zarządzać dzięki poniższym elementom.

.topic 0x41F
Wyświetla ścieżki obecnie zaznaczonej listy lub całkem nowej - określane przez użytkownika. Można wpisać ścieżkę ręcznie z klawiatury lub wskazać ją, klikając na przycisk '...' po prawej stronie.

.topic 0x428
Przegląda w poszukiwaniu ścieżki, która będzie wyświetlona w oknie po lewej stronie.

.topic 0x424
Dodaje podaną ścieżkę do listy.

.topic 0x4A1
Zamienia obecnie zaznaczoną listę z podaną ścieżką.

.topic 0x413
Usuwa obecne zaznaczenie z listy.